// tslint:disable
import { Component } from "@angular/core";

import * as wjcCore from '@grapecity/wijmo';

@Component({
  selector: "app-root",
  templateUrl: "./app.component.html",
  styleUrls: ["./app.component.css"]
})
export class AppComponent {
  source: any;
  keys: any;

  constructor() {
    this.source = this.getData()
    this.keys = Object.keys(this.source[0])
  }

  toHeader(binding) {
    return wjcCore.toHeaderCase(binding);
  }

  getData() {
    var countries = "US,Germany,UK,Japan,Italy,Greece".split(",");
    var data = [];
    for (var i = 0; i < 50000; i++) {
      data.push({
        id: i,
        country: countries[i % countries.length],
        sales: (Math.random() * 10000).toFixed(),
        expenses: (Math.random() * 5000).toFixed(),
        amount1: (Math.random() * 10000).toFixed(),
        amount2: (Math.random() * 10001).toFixed(),
        amount3: (Math.random() * 10002).toFixed(),
        amount4: (Math.random() * 10003).toFixed(),
        amount5: (Math.random() * 10004).toFixed(),
        amount6: (Math.random() * 10005).toFixed(),
        amount7: (Math.random() * 10006).toFixed(),
        amount8: (Math.random() * 10007).toFixed(),
        amount9: (Math.random() * 10008).toFixed(),
        amount10: (Math.random() * 10009).toFixed(),
        amount11: (Math.random() * 10010).toFixed(),
        amount12: (Math.random() * 10011).toFixed(),
        amount13: (Math.random() * 10012).toFixed(),
        amount14: (Math.random() * 10013).toFixed(),
        amount15: (Math.random() * 10014).toFixed(),
        amount16: (Math.random() * 10015).toFixed(),
        amount17: (Math.random() * 10016).toFixed(),
        amount18: (Math.random() * 10017).toFixed(),
        amount19: (Math.random() * 10018).toFixed(),
        amount20: (Math.random() * 10019).toFixed(),
        amount21: (Math.random() * 10020).toFixed(),
        amount22: (Math.random() * 10021).toFixed(),
        amount23: (Math.random() * 10022).toFixed(),
        amount24: (Math.random() * 10023).toFixed(),
        amount25: (Math.random() * 10024).toFixed(),
        amount26: (Math.random() * 10025).toFixed()
      });
    }
    return data;
  }
}
